
/* This file is a copy of excerpts from generated wineventlog_h.h header.
   It has to be in kept in sync with original idl file.
 */
#ifndef WINEVENTLOG_STUB_DOT_H
#define WINEVENTLOG_STUB_DOT_H

#ifndef IDLBASE_H
#include <dce/idlbase.h>
#endif
#include <dce/rpc.h>

#ifdef __cplusplus
    extern "C" {
#endif

#ifndef nbase_v0_0_included
#include <dce/nbase.h>
#endif

#ifdef DCERPC_STUB_BUILD

#include <lw/types.h>

typedef idl_void_p_t EVENTLOG_HANDLE;

#else

#include <lw/wineventlog.h>

#endif /* DCERPC_STUB_BUILD */
extern void _eventlog_Function0x00(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x01(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x02(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x03(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x04(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x05(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x06(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x07(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x08(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x09(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x0a(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x0b(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x0c(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x0d(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x0e(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x0f(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x10(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x11(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x12(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x13(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x14(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x15(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x16(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x17(
    /* [in] */ handle_t IDL_handle
);
extern void _eventlog_Function0x18(
    /* [in] */ handle_t IDL_handle
);
void EVENTLOG_HANDLE_rundown(
    rpc_ss_context_t context_handle
);
typedef struct wineventlog_v0_0_epv_t {
	void (*_eventlog_Function0x00)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x01)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x02)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x03)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x04)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x05)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x06)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x07)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x08)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x09)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x0a)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x0b)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x0c)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x0d)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x0e)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x0f)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x10)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x11)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x12)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x13)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x14)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x15)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x16)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x17)(
    /* [in] */ handle_t IDL_handle
);
	void (*_eventlog_Function0x18)(
    /* [in] */ handle_t IDL_handle
);
} wineventlog_v0_0_epv_t;
extern rpc_if_handle_t wineventlog_v0_0_c_ifspec;
extern rpc_if_handle_t wineventlog_v0_0_s_ifspec;

#ifdef __cplusplus
    }
#endif

#endif  /* WINEVENTLOG_STUB_DOT_H */

